"""Create secrets table

Revision ID: aad54c4bb972
Revises: 
Create Date: 2023-09-24 12:00:00.000000

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'aad54c4bb972'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'secrets',
        sa.Column('id', sa.String(36), primary_key=True, index=True),
        sa.Column('content', sa.Text(), nullable=False),
        sa.Column('salt', sa.LargeBinary(), nullable=False),
        sa.Column('access_key', sa.String(64), unique=True, index=True, nullable=False),
        sa.Column('is_accessed', sa.Boolean(), default=False),
        sa.Column('expires_at', sa.DateTime(), nullable=False),
        sa.Column('created_at', sa.DateTime(), nullable=False, server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), nullable=False, server_default=sa.func.now(), onupdate=sa.func.now()),
    )


def downgrade():
    op.drop_table('secrets')